import { Change, Changed, Created, FileInfo, Info } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Budget <br/>
*/
export interface Budget {
    money?: number;
    time?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Comment <br/>
*/
export interface Comment extends Changed {
    change?: Change;
    commentId?: string;
    value?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.CustomField <br/>
*/
export interface CustomField {
    name?: string;
    required?: boolean;
    type?: string;
    value?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Project <br/>
*/
export interface Project extends Task {
    /**
    *	values: lead,proposal,project<br/>
    *	@example lead
    */
    phase?: string;
    roles?: ProjectRole[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.ProjectRole <br/>
*/
export interface ProjectRole {
    hourlyRate?: number;
    name?: string;
    roleId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.ReportSheet <br/>
*/
export interface ReportSheet {
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Task <br/>
*/
export interface Task extends Changed, Created {
    actualBudget?: Budget;
    actualEndDate?: Date;
    actualStartDate?: Date;
    actualSubBudget?: Budget;
    assignedUserIds?: string[];
    attachments?: FileInfo[];
    change?: Change;
    comments?: Comment[];
    created?: Change;
    customFields?: CustomField[];
    goal?: string;
    id?: string;
    info?: Info;
    initialSituation?: string;
    parentId?: string;
    partialGoals?: string;
    plannedBudget?: Budget;
    plannedEndDate?: Date;
    plannedStartDate?: Date;
    plannedSubBudget?: Budget;
    projectId?: string;
    role?: ProjectRole;
    status?: string;
    subTasks?: Task[];
}
